@charset "utf-8";

* {
	margin: 0;
	padding:0;
	-webkit-box-sizing:border-box;
    -moz-box-sizing:   border-box;
    box-sizing:        border-box;
}
html {
	scroll-behavior: smooth;
	scroll-padding: 81px;
	--negro: #231f20;
	--blanco: #ffffff;
	--naranja: #ff6922;
	--cafe: #c4875c;
	--gris: #7c7c7c;
	--grisFuerte: #3a3a3a;
	
	--verde: #99CC66;
	--amarillo: #FFCC33;
	--azul: #6b8b9c;
	--rojo: #F2673A;
	
	--width: calc(100% - 42px);
	--maxWidth: 1200px;
	background: var(--negro);
}

body {
	font-family: 'Montserrat';
	font-weight: normal;
	color: var(--negro);
	background: var(--blanco);
	line-height:1.4;
	letter-spacing: 0.12em;
	overflow-x:hidden !important;
}

h1 {
	line-height:1;
	font-family: 'Montserrat';
	font-weight: normal;
	font-size: 3em;
	text-wrap: balance;
}
h2 {
	line-height:1.2;
	font-family: 'Montserrat';
	font-weight: normal;
	font-size: 1.8em;
	text-wrap: balance;
}
h3 {
	font-family: 'Montserrat Bold';
	font-weight: normal;
	font-size: 1.3em;
	text-wrap: balance;
}

a {
	font-size: 1em;
    text-decoration:none;
	color: var(--negro);
	cursor: pointer;
	transition: all 0.6s ease-in-out;
}
a:active {
	outline: none;
    border: none;
}
button {
	font-family: 'Montserrat Bold';
	font-size:1em;
	border-radius: 0 !important;
	cursor: pointer !important;
	border: none;
	transition: all 0.6s ease-in-out;
}
button:active {
    outline: none;
    border: none;
}
button:hover {
	cursor:pointer;
}
button:focus,
input:focus,
textarea:focus {
	outline:none;
}
p {
	text-wrap: pretty;
}
p, ul {
	font-size:0.9em;
}
p b,
p em {
	font-family: 'Montserrat Extra';
	font-weight: normal;
}

::selection {
	color: var(--blanco);
	background: var(--naranja);
}
::-moz-selection {
	color: var(--blanco);
	background: var(--naranja);
}

#cortina {
	width: 100vw;
	height:100vh;
	position: fixed;
	opacity: 0;
	left:0;
	background: var(--negro);
	animation: gone 1.2s;
	pointer-events: none !important;
	z-index: 66;
}
@-webkit-keyframes gone {
	0% {
		opacity: 1;
	}
	42% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}
@-moz-keyframes gone {
	0% {
		opacity: 1;
	}
	42% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}
@keyframes gone {
	0% {
		opacity: 1;
	}
	42% {
		opacity: 1;
	}
	100% {
		opacity: 0;
	}
}

main {
	width: var(--width);
	max-width: var(--maxWidth);
	margin: 0 auto;
	position: relative;
}

.texto,
.imagen {
	animation-duration: 1.2s;
	animation-delay: 0.9s;
}

#portada {
	width: 100vw;
	height:100vh;
	top: 0;
	overflow: hidden;
	position: relative;
	background: var(--marino);
}
#portada::before {
	content: '';
	width: 100%;
	height:100%;
	background: var(--negro);
	position: absolute;
	top: 0;
	left:0;
	opacity: 0.6;
	z-index: 3;
}
#portada > img {
	width: 102%;
	height:102%;
	object-fit: cover;
	position: absolute;
	top: 0;
	left:0;
	opacity: 0;
	transition: opacity 0.9s ease-in-out;
	z-index: 1;
}
#portada > img:nth-child(1) {
	animation: fade1 30s infinite;
}
#portada > img:nth-child(2) {
	animation: fade2 30s infinite;
}
#portada > img:nth-child(3) {
	animation: fade3 30s infinite;
}
#portada > img:nth-child(4) {
	animation: fade4 30s infinite;
}
#portada > img:nth-child(5) {
	animation: fade5 30s infinite;
}

@keyframes fade1 {
	0%   { opacity: 1; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 1; }
}
@-webkit-keyframes fade1 {
	0%   { opacity: 1; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 1; }
}
@keyframes fade2 {
	0%   { opacity: 0; }
	20%  { opacity: 1; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@-webkit-keyframes fade2 {
	0%   { opacity: 0; }
	20%  { opacity: 1; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@keyframes fade3 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 1; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@-webkit-keyframes fade3 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 1; }
	60%  { opacity: 0; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@keyframes fade4 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 1; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@-webkit-keyframes fade4 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 1; }
	80%  { opacity: 0; }
	100% { opacity: 0; }
}
@keyframes fade5 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 1; }
	100% { opacity: 0; }
}
@-webkit-keyframes fade5 {
	0%   { opacity: 0; }
	20%  { opacity: 0; }
	40%  { opacity: 0; }
	60%  { opacity: 0; }
	80%  { opacity: 1; }
	100% { opacity: 0; }
}

#portada main {
	width: var(--width);
	max-width: var(--maxWidth);
	position: absolute;
	text-align: center;
	z-index: 9;
}
#portada .logo {
	top: 48px;
	left:50%;
	transform: translateX(-50%);
}
#portada .logo img {
	width: 39%;
	max-width: 150px;
	margin: 0 auto 42px;
}

#portada .info {
	top: 50%;
	left:50%;
	transform: translate(-50%,-50%);
	color: var(--blanco);
	padding:30px 0;
}
#portada .info::before,
#portada .info::after {
	content: '';
	width: calc(50% + 30px);
	height:1px;
	background: var(--blanco);
	position: absolute;
}
#portada .info::before {
	top: 0;
	left:0;
}
#portada .info::after {
	right: 0;
	bottom:0;
}
#portada .info h1 {
	margin: 0 auto 30px;
}
#portada .info p {
	font-size: 1em;
	color: var(--naranja);
}

#portada .redes {
	bottom:48px;
	left:50%;
	transform: translateX(-50%);
	display: flex;
	gap: 30px;
	justify-content: center;
}
#portada .redes span {
	font-size: 1.2em;
	color: var(--blanco);
	opacity: 0.8;
}
#portada .redes span:hover {
	opacity: 1;
	color: var(--naranja);
}

@media screen and (max-width:666px) {
	
	html {
		--width: calc(100% - 30px);
		scroll-padding: 60px;
	}
	
	p, ul {
		font-size: 0.8em;
	}
	
	h1 {
		font-size: 2.1em;
	}
	h2 {
		font-size: 1.1em;
	}
	h3 {
		font-size: 1.2em;
	}
	
}